From: Guilhem Moulin <guilhem@debian.org>
Date: Tue, 11 Jan 2022 19:06:24 +0100
Subject: Fix FTBFS with PHP8.1.

This patch merely reorders the object fields to match PHP8.1 object dump
output.

Origin: Debian
Bug-Debian: https://bugs.debian.org/1000593
---
 tests/console_commandline_addargument.phpt | 38 +++++++++---------
 tests/console_commandline_addoption.phpt   | 62 +++++++++++++++---------------
 2 files changed, 50 insertions(+), 50 deletions(-)

diff --git a/tests/console_commandline_addargument.phpt b/tests/console_commandline_addargument.phpt
index 7f7f689..6203d4d 100644
--- a/tests/console_commandline_addargument.phpt
+++ b/tests/console_commandline_addargument.phpt
@@ -28,13 +28,6 @@ $parser->addArgument('Some invalid name');
 array(4) {
   ["arg1"]=>
   object(Console_CommandLine_Argument)#%d (8) {
-    ["multiple"]=>
-    bool(false)
-    ["optional"]=>
-    bool(false)
-    ["choices"]=>
-    array(0) {
-    }
     ["name"]=>
     string(4) "arg1"
     ["help_name"]=>
@@ -46,16 +39,16 @@ array(4) {
     ["messages"]=>
     array(0) {
     }
-  }
-  ["arg2"]=>
-  object(Console_CommandLine_Argument)#%d (8) {
     ["multiple"]=>
-    bool(true)
+    bool(false)
     ["optional"]=>
     bool(false)
     ["choices"]=>
     array(0) {
     }
+  }
+  ["arg2"]=>
+  object(Console_CommandLine_Argument)#%d (8) {
     ["name"]=>
     string(4) "arg2"
     ["help_name"]=>
@@ -67,9 +60,6 @@ array(4) {
     ["messages"]=>
     array(0) {
     }
-  }
-  ["arg3"]=>
-  object(Console_CommandLine_Argument)#%d (8) {
     ["multiple"]=>
     bool(true)
     ["optional"]=>
@@ -77,6 +67,9 @@ array(4) {
     ["choices"]=>
     array(0) {
     }
+  }
+  ["arg3"]=>
+  object(Console_CommandLine_Argument)#%d (8) {
     ["name"]=>
     string(4) "arg3"
     ["help_name"]=>
@@ -88,16 +81,16 @@ array(4) {
     ["messages"]=>
     array(0) {
     }
-  }
-  ["arg4"]=>
-  object(Console_CommandLine_Argument)#%d (8) {
     ["multiple"]=>
-    bool(false)
-    ["optional"]=>
     bool(true)
+    ["optional"]=>
+    bool(false)
     ["choices"]=>
     array(0) {
     }
+  }
+  ["arg4"]=>
+  object(Console_CommandLine_Argument)#%d (8) {
     ["name"]=>
     string(4) "arg4"
     ["help_name"]=>
@@ -109,6 +102,13 @@ array(4) {
     ["messages"]=>
     array(0) {
     }
+    ["multiple"]=>
+    bool(false)
+    ["optional"]=>
+    bool(true)
+    ["choices"]=>
+    array(0) {
+    }
   }
 }
 
diff --git a/tests/console_commandline_addoption.phpt b/tests/console_commandline_addoption.phpt
index 1386121..5e861a1 100644
--- a/tests/console_commandline_addoption.phpt
+++ b/tests/console_commandline_addoption.phpt
@@ -32,6 +32,17 @@ var_dump($parser->options);
 array(4) {
   ["opt1"]=>
   object(Console_CommandLine_Option)#%d (14) {
+    ["name"]=>
+    string(4) "opt1"
+    ["help_name"]=>
+    string(4) "opt1"
+    ["description"]=>
+    NULL
+    ["default"]=>
+    NULL
+    ["messages"]=>
+    array(0) {
+    }
     ["short_name"]=>
     string(2) "-a"
     ["long_name"]=>
@@ -52,20 +63,20 @@ array(4) {
     bool(false)
     [%s]=>
     NULL
+  }
+  ["opt2"]=>
+  object(Console_CommandLine_Option)#%d (14) {
     ["name"]=>
-    string(4) "opt1"
+    string(4) "opt2"
     ["help_name"]=>
-    string(4) "opt1"
+    string(3) "bar"
     ["description"]=>
-    NULL
+    string(19) "description of opt2"
     ["default"]=>
-    NULL
+    int(2)
     ["messages"]=>
     array(0) {
     }
-  }
-  ["opt2"]=>
-  object(Console_CommandLine_Option)#%d (14) {
     ["short_name"]=>
     string(2) "-b"
     ["long_name"]=>
@@ -92,20 +103,20 @@ array(4) {
     bool(true)
     [%s]=>
     NULL
+  }
+  ["list_opt2"]=>
+  object(Console_CommandLine_Option)#%d (14) {
     ["name"]=>
-    string(4) "opt2"
+    string(9) "list_opt2"
     ["help_name"]=>
-    string(3) "bar"
+    string(9) "list_opt2"
     ["description"]=>
-    string(19) "description of opt2"
+    string(35) "lists valid choices for option opt2"
     ["default"]=>
-    int(2)
+    NULL
     ["messages"]=>
     array(0) {
     }
-  }
-  ["list_opt2"]=>
-  object(Console_CommandLine_Option)#%d (14) {
     ["short_name"]=>
     NULL
     ["long_name"]=>
@@ -135,20 +146,20 @@ array(4) {
     bool(false)
     [%s]=>
     NULL
+  }
+  ["opt3"]=>
+  object(Console_CommandLine_Option)#%d (14) {
     ["name"]=>
-    string(9) "list_opt2"
+    string(4) "opt3"
     ["help_name"]=>
-    string(9) "list_opt2"
+    string(4) "opt3"
     ["description"]=>
-    string(35) "lists valid choices for option opt2"
+    string(19) "description of opt3"
     ["default"]=>
     NULL
     ["messages"]=>
     array(0) {
     }
-  }
-  ["opt3"]=>
-  object(Console_CommandLine_Option)#%d (14) {
     ["short_name"]=>
     NULL
     ["long_name"]=>
@@ -169,16 +180,5 @@ array(4) {
     bool(false)
     [%s]=>
     NULL
-    ["name"]=>
-    string(4) "opt3"
-    ["help_name"]=>
-    string(4) "opt3"
-    ["description"]=>
-    string(19) "description of opt3"
-    ["default"]=>
-    NULL
-    ["messages"]=>
-    array(0) {
-    }
   }
 }
